Skip to main content
GET
/
public
/
v1
/
workflows
/
List workflows
curl --request GET \
  --url https://api.dualentry.com/public/v1/workflows/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v1/workflows/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v1/workflows/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": 123,
      "name": "<string>",
      "is_active": true,
      "description": "<string>",
      "version": 123,
      "priority": 123,
      "company_ids": [
        123
      ],
      "applies_to_all_companies": true,
      "allow_self_approval": true,
      "pending_approval_count": 123
    }
  ],
  "count": 123
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
id
integer[] | null
company_id
integer | null
record_type
enum<string> | null

Supported record types for workflows.

Available options:
invoice,
bill,
journal_entry,
bank_transfer,
purchase_order,
sales_order,
intercompany_journal_entry,
contract,
customer_credit,
direct_expense,
cash_sale,
customer_prepayment,
customer_deposit,
customer_payment,
customer_refund,
vendor_prepayment_application,
customer_prepayment_application,
vendor_payment,
vendor_credit,
vendor_refund,
vendor_prepayment,
vendor,
customer
is_active
boolean | null
ordering
string | null
default:-priority,-id
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicWorkflowListSchemaOut · object[]
required
count
integer
required
Last modified on July 13, 2026